<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>List Book</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css" type="text/css">
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">
	<link href='https://fonts.googleapis.com/css?family=Amatic SC' rel='stylesheet'>
<!-- 	<script src="https://apis.google.com/js/platform.js" async defer></script> -->
</head>

<body style="font-family: Amatic Sc; font-size: 22px">
	<div>
		<h1 class="text-center" style="font-size: 50px">What do you want ??? </h1>  

	</div>
	<div class="counter-container text-center">
	        <h1><i class ="fa fa-heart"></i> : <span class="counters"> 0 </span> <span><input type="text" id="myInput" onkeyup="myFunction()" placeholder="Search for books.." title="Type in a name"></span><span><button id="myButton" class="btn-outline-dark">search</button></span>
	        		{% if user.is_authenticated %}
	        					<a href="/logout/" onclick="signOut();">Sign out</a>
	        					<p class="display-4">Hello, {{user.first_name}}</p>										
	        			{% else %}
	        				<a href="{% url 'login' %}">Log in</a>
	        				<!-- <a class= "g-signin" href="{% url 'social:begin' 'google-oauth2' %}">Login with Google</a><br> -->
	        			{% endif %}
	        </h1>
	        <!-- <div class="g-signin2" data-onsuccess="onSignIn"></div> -->
	        
	    </div>
	    <div>
	    	
	    </div>
	    
	 
	<table class="table table-responsive-sm table-bordered text-center" id="myTable">
	  <thead class="thead-dark">
	    <tr>
	      <th scope="col">No</th>
	      <th scope="col">Title</th>
	      <th scope="col">Publisher</th>
	      <th scope="col">Published Date</th>
	      <th scope="col">Page</th>
	      <th scope="col">Language</th>
	      <th scope="col">Categories</th>
	      <th scope="col">Authors</th>
	      <th scope="col">Add To Favorite</th>
	    </tr>
	  </thead>
	  <tbody>

	  </tbody>
	</table>
</body>
<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script type="text/javascript" src='http://code.jquery.com/jquery-1.11.0.js'></script> 
<script type="text/javascript">
	var search = ""
	$(document).on('click', '#myButton',function(){
		$('tbody').empty();
		search = $('#myInput').val();
		$.ajax({
			type:"GET",
			url:"api/books/"+search,
			dataType : "json",
			success: function(data)
			{
				console.log(data)
				var print = '<tr>';
				for(var i = 1; i <= data.items.length; i++){
					print += '<th scope="row">' + i + '</th> <td>' + data.items[i-1].volumeInfo.title + '</td> <td>';
					print += data.items[i-1].volumeInfo.publisher + '</td> <td>' + data.items[i-1].volumeInfo.publishedDate + '</td> <td>'
					print += data.items[i-1].volumeInfo.pageCount + '</td> <td>' + data.items[i-1].volumeInfo.language + '</td> <td>'
					print += data.items[i-1].volumeInfo.categories + '</td> <td>'

					if(data.items[i-1].volumeInfo.authors == undefined){
						print += data.items[i-1].volumeInfo.authors
					}
					else{
						for(var j=0 ; j<data.items[i-1].volumeInfo.authors.length; j++){
							print += data.items[i-1].volumeInfo.authors[j];
						}
					}
					print += '</td> <td>' + '<button id="buttons" type="button" class="btn btn-outline-white"><i id="fav" class="fa fa-heart"></i></button>' + ' </td> </tr>'
				}
				$("tbody").append(print);
		}});
	})

	$(document).ready(function(){	
			$.ajax({
				type:"GET",
				url:"api/books/quilting",
				dataType : "json",
				success: function(data)
				{
					console.log(data)
					var print = '<tr>';
					for(var i = 1; i <= data.items.length; i++){
						print += '<th scope="row">' + i + '</th> <td>' + data.items[i-1].volumeInfo.title + '</td> <td>';
						print += data.items[i-1].volumeInfo.publisher + '</td> <td>' + data.items[i-1].volumeInfo.publishedDate + '</td> <td>'
						print += data.items[i-1].volumeInfo.pageCount + '</td> <td>' + data.items[i-1].volumeInfo.language + '</td> <td>'
						print += data.items[i-1].volumeInfo.categories + '</td> <td>'

						if(data.items[i-1].volumeInfo.authors == undefined){
							print += data.items[i-1].volumeInfo.authors
						}
						else{
							for(var j=0 ; j<data.items[i-1].volumeInfo.authors.length; j++){
								print += data.items[i-1].volumeInfo.authors[j];
							}
						}
						
						print += '</td> <td>' + '<button id="buttons" type="button" class="btn btn-outline-white"><i id="fav" class="fa fa-heart"></i></button>' + ' </td> </tr>'
					}
					$("tbody").append(print);
			}});
		}
	);

	var counter = 0;
	$(document).on('click', '#buttons', function() {
	        if( $(this).hasClass('clicked') ) {
	            counter -= 1;
	            $(this).removeClass('clicked');
	            $(this).removeClass('bg-dark');
	        }
	        else {
	            $(this).addClass('clicked');
	            $(this).addClass('bg-dark');
	            counter += 1;
	        }
	        $('.counters').html(counter);

	    });

	function myFunction() {
	  var input, filter, table, tr, td, i;
	  input = document.getElementById("myInput");
	  filter = input.value.toUpperCase();
	  table = document.getElementById("myTable");
	  tr = table.getElementsByTagName("tr");
	  for (i = 0; i < tr.length; i++) {
	    td = tr[i].getElementsByTagName("td")[0];
	    if (td) {
	      if (td.innerHTML.toUpperCase().indexOf(filter) > -1) {
	        tr[i].style.display = "";
	      } else {
	        tr[i].style.display = "none";
	      }
	    }       
	  }
	}

	function signOut() {
	    var auth2 = gapi.auth2.getAuthInstance();
	    auth2.signOut().then(function () {
	      console.log('User signed out.');
	    });
	 }
</script>
</html>